using Microsoft.VisualBasic;
using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.StCl
namespace FAS_LIB
{
    public class scOrdFASExt
    {
        private int _OrdFASExtId;
        private int _OrderLineId;
        private string _FASOrdNbr;
        private string _FASAsmblLn;
        private string _FASWorkCtr;
        private int _FASOrdQty;
        private int _FASUnfilledQty;
        private int _FASCmplQty;
        private DateTime _FASDueDt;
        private int _FASPrgrsPnt;
        private string _OrdCatlgNbr;
        private string _OrdMfgPartNbr;
        private string _OrdCdDesc;
        private string _OrdProdLn;
        private int _OrdBldTimeSec;

        public int OrdFASExtId
        {
            get
            {
                return this._OrdFASExtId;
            }
            set
            {
                this._OrdFASExtId = value;
            }
        }

        public int OrderLineId
        {
            get
            {
                return this._OrderLineId;
            }
            set
            {
                this._OrderLineId = value;
            }
        }

        public string FASOrdNbr
        {
            get
            {
                return this._FASOrdNbr;
            }
            set
            {
                this._FASOrdNbr = value;
            }
        }

        public string FASAsmblLn
        {
            get
            {
                return this._FASAsmblLn;
            }
            set
            {
                this._FASAsmblLn = value;
            }
        }

        public string FASWorkCtr
        {
            get
            {
                return this._FASWorkCtr;
            }
            set
            {
                this._FASWorkCtr = value;
            }
        }

        public int FASOrdQty
        {
            get
            {
                return this._FASOrdQty;
            }
            set
            {
                this._FASOrdQty = value;
            }
        }

        public int FASUnfilledQty
        {
            get
            {
                return this._FASUnfilledQty;
            }
            set
            {
                this._FASUnfilledQty = value;
            }
        }

        public int FASCmplQty
        {
            get
            {
                return this._FASCmplQty;
            }
            set
            {
                this._FASCmplQty = value;
            }
        }

        public DateTime FASDueDt
        {
            get
            {
                return this._FASDueDt;
            }
            set
            {
                this._FASDueDt = value;
            }
        }

        public string FASDueDtShort
        {
            get
            {
                return Strings.Format((object)this._FASDueDt, "MM/dd/yyyy");
            }
        }

        public int FASPrgrsPnt
        {
            get
            {
                return this._FASPrgrsPnt;
            }
            set
            {
                this._FASPrgrsPnt = value;
            }
        }

        public string OrdCatlgNbr
        {
            get
            {
                return this._OrdCatlgNbr;
            }
            set
            {
                this._OrdCatlgNbr = value;
            }
        }

        public string OrdMfgPartNbr
        {
            get
            {
                return this._OrdMfgPartNbr;
            }
            set
            {
                this._OrdMfgPartNbr = value;
            }
        }

        public string OrdCdDesc
        {
            get
            {
                return this._OrdCdDesc;
            }
            set
            {
                this._OrdCdDesc = value;
            }
        }

        public string OrdProdLn
        {
            get
            {
                return this._OrdProdLn;
            }
            set
            {
                this._OrdProdLn = value;
            }
        }

        public int OrdBldTimeSec
        {
            get
            {
                return this._OrdBldTimeSec;
            }
            set
            {
                this._OrdBldTimeSec = value;
            }
        }

        public scOrdFASExt()
        {
            this._OrdFASExtId = 0;
            this._OrderLineId = 0;
            this._FASOrdNbr = "";
            this._FASAsmblLn = "";
            this._FASWorkCtr = "";
            this._FASOrdQty = 0;
            this._FASUnfilledQty = 0;
            this._FASCmplQty = 0;
            this._FASDueDt = Conversions.ToDate("01/01/1901");
            this._FASPrgrsPnt = 0;
            this._OrdCatlgNbr = "";
            this._OrdMfgPartNbr = "";
            this._OrdCdDesc = "";
            this._OrdProdLn = "";
            this._OrdBldTimeSec = 0;
        }
    }
}
